curl --request POST \
--url https://api.kameleoon.com/experiments/{experimentId}/results/share \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dateIntervals": [
{
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
}
],
"allVariationsData": false,
"bayesian": false,
"breakdown": {
"type": "BROWSER"
},
"callbackUrl": "<string>",
"enabledMultipleTesting": false,
"filters": [
{
"type": "<string>",
"include": true
}
],
"goalIdsCuped": [
123
],
"goalsIds": [
123
],
"interval": "MINUTE",
"referenceVariationId": "<string>",
"sequentialTesting": false,
"visitorData": false
}
'{
"headers": {},
"method": "GET",
"path": "<string>",
"payload": {
"dateIntervals": [
{
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
}
],
"allVariationsData": false,
"bayesian": false,
"breakdown": {
"type": "BROWSER"
},
"callbackUrl": "<string>",
"enabledMultipleTesting": false,
"filters": [
{
"type": "<string>",
"include": true
}
],
"goalIdsCuped": [
123
],
"goalsIds": [
123
],
"interval": "MINUTE",
"referenceVariationId": "<string>",
"sequentialTesting": false,
"visitorData": false
},
"url": "<string>"
}Creates a shared request to view experiment results without authorization. Learn how to share results in this tutorial.
curl --request POST \
--url https://api.kameleoon.com/experiments/{experimentId}/results/share \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dateIntervals": [
{
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
}
],
"allVariationsData": false,
"bayesian": false,
"breakdown": {
"type": "BROWSER"
},
"callbackUrl": "<string>",
"enabledMultipleTesting": false,
"filters": [
{
"type": "<string>",
"include": true
}
],
"goalIdsCuped": [
123
],
"goalsIds": [
123
],
"interval": "MINUTE",
"referenceVariationId": "<string>",
"sequentialTesting": false,
"visitorData": false
}
'{
"headers": {},
"method": "GET",
"path": "<string>",
"payload": {
"dateIntervals": [
{
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
}
],
"allVariationsData": false,
"bayesian": false,
"breakdown": {
"type": "BROWSER"
},
"callbackUrl": "<string>",
"enabledMultipleTesting": false,
"filters": [
{
"type": "<string>",
"include": true
}
],
"goalIdsCuped": [
123
],
"goalsIds": [
123
],
"interval": "MINUTE",
"referenceVariationId": "<string>",
"sequentialTesting": false,
"visitorData": false
},
"url": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Date boundaries to include only the results from the specified time period(s).
Show child attributes
Set to true to include data from all variations at once.
Enables the current Bayesian result probability for the experiment in the report.
Breakdown request argument for splitting data
Show child attributes
Callback URL that you want to send the data response to.
Enables multiple testing correction for the experiment in the report.
List of filters to apply to the data included in the report.
List of filters to apply to the data included in the report.
Show child attributes
Specifies which CUPED goals to include in the report. Use an empty list [] to exclude all CUPED goals. Use null to include all CUPED goals. Use a list of CUPED goal IDs [123, 456] to include only those goals.
Specifies which CUPED goals to include in the report. Use an empty list [] to exclude all CUPED goals. Use null to include all CUPED goals. Use a list of CUPED goal IDs [123, 456] to include only those goals.
Specifies which goals to include in the report. Use an empty list [] to exclude all goals. Use null to include all goals. Use a list of goal IDs [123, 456] to include only those goals.
Specifies which goals to include in the report. Use an empty list [] to exclude all goals. Use null to include all goals. Use a list of goal IDs [123, 456] to include only those goals.
Time interval for which data is segmented in the report. Deprecated. Use breakdown with IntervalBreakdown type instead.
MINUTE, HOUR, DAY, WEEK, MONTH, YEAR Unique ID of the variation that you want to use as the reference variation.
Enables the sequential testing result for the experiment in the report.
Set to true to only include data from unique visitors. By default, the report includes all visitor data.
Was this page helpful?